Core Resources
Products
Representation of the Products from your catalog in Recharge.
20 additions in V2, marked New
Everything marked New also works when you send X-Recharge-Version: 2021-11.

#The product object
Attributes
- The description of the product.
- external_product_idstringUnique numeric identifier of the product record in Recharge. The primary id of the record.
- brandstringThe brand name of the product.
- external_created_atdatetimeThe date and time at which the product was created in an external product catalog.
- external_updated_atdatetimeThe date and time at which the product was updated in an external product catalog.
- imagesarray of objectsAn array of urls for various sizes of image files.
Show child attributesHide child attributes5
- largestringThe url where a large image file is located.
- mediumstringThe url where a medium image file is located.
- smallstringThe url where a small image file is located.
- originalstringThe url of the original sized product image.
- sort_orderintegerThe sort order in which the x image from the array should appear when displayed.
- optionsarray of objectsAn array of options for the product record, such as size, color, etc.
Show child attributesHide child attributes3
- published_atdatetimeThe datetime at which the product became available for purchase. To make the product available, this should be set in the past.
- requires_shippingbooleanIndicator of shipping requirement.Dictates the default for the variants. Can be overriden at the variant level.
- titlestringThe title of the product.
- variantsarray of objectsAn array of variants of the product.If your PIM does not use variants, create a single variant product.
Show child attributesHide child attributes105 new
- dimensionsobjectA container of variant dimensions.
Show child attributesHide child attributes2
- weightfloatThe weight of the product in the weight unit configured for your store.
- weight_unitstringRead only. The weight unit specified for your store.
- external_variant_idstringThe variant id in your PIM. The primary key for the variant.
- imageobjectAn object containing image urls for the variant.
smallis the default picture shown on the checkout. Ifsmallis not present we renderoriginal. Please note for better rendering we advise you populatesmall - option_valuesarray of objectsAn array of option values, linking the variant to the options listed at the product level.
Show child attributesHide child attributes1
- labelstringThe label of the option value. Maps to a value specified in the product options list
- pricesobjectAn object containing prices for the variant.
Show child attributesHide child attributes35 new
- compare_at_pricestringThe compare-at price for the variant.
- unit_pricestringThe unit price for the variant.
- An object containing the prices of the variant in other currencies.Only present when presentment prices have been provided for the variant.
Show child attributesHide child attributes14 new
- An object containing the price of the variant in a presentment currency. When sent,
currency,unit_price_currencyanddiscounted_price_currencyare all required.Only present when presentment prices have been provided for the variant.Show child attributesHide child attributes33 new
- The three-letter currency code of the presentment price.Only present when presentment prices have been provided for the variant.
- The unit price of the variant in the presentment currency.Only present when presentment prices have been provided for the variant.
- The discounted price of the variant in the presentment currency.Only present when presentment prices have been provided for the variant.
- requires_shippingbooleanIndicator of shipping requirement. If
truethe product associated to the variant needs to be shipped.Default value is what is set at the Product level for requires_shipping. - skustringThe stock keeping unit of the variant.
- tax_codestringThe tax code of the variant. This value will be used when calculating tax with a third party tax service.
- taxablebooleanA boolean indicator of the variant’s taxability.
- titlestringThe title of the variant.
- vendorstringThe vendor of the product.
{
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"external_created_at": "2021-01-01T00:00:00+00:00",
"external_product_id": "5",
"external_updated_at": "2021-01-01T00:00:00+00:00",
"images": [
{
"small": "https:...",
"medium": "https:...",
"large": "https:...",
"original": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"external_variant_id": " 9",
"dimensions": {
"weight": 1234.5
},
"image": {
"small": "https:....jpeg",
"medium": "https:....jpeg",
"large": "https:....jpeg",
"original": "https:....jpeg"
},
"option_values": [
{
"label": "small"
}
],
"requires_shipping": true,
"sku": "CLO123",
"title": "Recharge Logo Shirt - Small",
"taxable": true,
"tax_code": "CLOTHING",
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
}
}
],
"vendor": "Recharge Apparel Store"
}#Create a product
POST/products
Create a new product in your Recharge Product Catalog. After adding the record, subscription preferences may be added using the Products page of Recharge Admin Portal or with the
Plans resource.Scope
write_productsOnly available to stores on a custom (headless) platform; stores on other platforms receive a
422 error. variants must contain at least one variant, and every option value label must be used by at least one variant.Body parameters
- The description of the product.
- Unique numeric identifier of the product record in Recharge. The primary id of the record.
- brandstringThe brand name of the product.
- imagesarray of objectsAn array of urls for various sizes of image files.
smallis the default picture shown on the checkout. Ifsmallis not present we renderoriginal. Please note for better rendering we advise you populatesmall.Show child attributesHide child attributes5
- largestringThe url where a large image file is located.
- mediumstringThe url where a medium image file is located.
- smallstringThe url where a small image file is located.
- originalstringThe url of the original sized product image.
- sort_orderintegerThe sort order in which the x image from the array should appear when displayed.
- An array of options for the product record, such as size, color, etc.
Show child attributesHide child attributes3
- The name of the option, such as size, color, etc.
- The position in which the x option from the array should appear when displayed.
- An array of values for the x option in the options array.
- published_atdatetimeThe date and time at which the product became available for purchase. To make the product available, this should be set in the past.
- requires_shippingbooleanIndicator of shipping requirement. If
truethe product associated to the variant needs to be shipped.This is usually false for digital goods. - The title of the product.
- An array of variants of the product.If your PIM does not use variants, create a single variant product.
Show child attributesHide child attributes105 new
- A container of variant dimensions.
Show child attributesHide child attributes1
- The weight of the product in the weight unit configured for your store.
- The variant id in your PIM. The primary key for the variant.
- imageobjectAn object containing image urls for the variant.
smallis the default picture shown on the checkout. Ifsmallis not present we renderoriginal. Please note for better rendering we advise you populatesmall - An array of option values, linking the variant to the options listed at the product level.
Show child attributesHide child attributes1
- The label of the option value. Maps to a value specified in the product options list
- An object containing prices for the variant.
Show child attributesHide child attributes35 new
- compare_at_pricestringThe compare-at price for the variant.
- The unit price for the variant.
- An object containing the prices of the variant in other currencies.
Show child attributesHide child attributes14 new
- An object containing the price of the variant in a presentment currency. When sent,
currency,unit_price_currencyanddiscounted_price_currencyare all required.Show child attributesHide child attributes33 new
- The three-letter currency code of the presentment price.
- The unit price of the variant in the presentment currency.
- The discounted price of the variant in the presentment currency.
- requires_shippingbooleanIndicator of shipping requirement. If
truethe product associated to the variant needs to be shipped.Default value is what is set at the Product level for requires_shipping. - skustringThe stock keeping unit of the variant.
- tax_codestringThe tax code of the variant. This value will be used when calculating tax with a third party tax service.
- A boolean indicator of the variant’s taxability.
- titlestringThe title of the variant.
- The vendor of the product.
curl -X POST 'https://api.rechargeapps.com/products' \
-H 'X-Recharge-Version: v2' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"external_product_id": "10",
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"images": [
{
"small": "https:...",
"medium": "https:...",
"large": "https:...",
"original": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"external_variant_id": "9",
"dimensions": {
"weight": 1234.5
},
"image": {
"small": "https:...",
"medium": "https:...",
"large": "https:...",
"original": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"sku": "CLO123",
"title": "Recharge Logo Shirt - Small",
"taxable": true,
"tax_code": "CLOTHING",
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
}
}
],
"vendor": "Recharge Apparel Store"
}'{
"product": {
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"external_created_at": "2021-01-01T00:00:00+00:00",
"external_product_id": "10",
"external_updated_at": "2021-01-01T00:00:00+00:00",
"images": [
{
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01T00:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"dimensions": {
"weight": 1234.5,
"weight_unit": "lb"
},
"external_variant_id": "9",
"image": {
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
},
"sku": "CLO123",
"tax_code": "CLOTHING",
"taxable": true,
"title": "Recharge Logo Shirt - Small",
"requires_shipping": true
}
],
"vendor": "Recharge Apparel Store"
}
}#Retrieve a product
GET/products/{external_product_id}
Retrieves a
Product from store’s product catalog using the external_product_id as lookup id.Scope
read_productsOnly available to stores on a custom (headless) platform; stores on other platforms receive a
422 error.curl 'https://api.rechargeapps.com/products/10' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"product": {
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"external_created_at": "2021-01-01T00:00:00+00:00",
"external_product_id": "10",
"external_updated_at": "2021-01-01T00:00:00+00:00",
"images": [
{
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01T00:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"dimensions": {
"weight": 1234.5,
"weight_unit": "lb"
},
"external_variant_id": "9",
"image": {
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
},
"sku": "CLO123",
"tax_code": "CLOTHING",
"taxable": true,
"title": "Recharge Logo Shirt - Small",
"requires_shipping": true
}
],
"vendor": "Recharge Apparel Store"
}
}#Update a product
PUT/products/{external_product_id}
Update an existing product.
Scope
write_productsOnly available to stores on a custom (headless) platform; stores on other platforms receive a
422 error. The fields listed as required only apply when their parent (options or variants) is sent. An empty body returns a 422 error.Body parameters
- brandstringThe brand name of the product.
- The description of the product.
- imagesarray of objectsAn array of urls for various sizes of image files.
Show child attributesHide child attributes5
- largestringThe url where a large image file is located.
- mediumstringThe url where a medium image file is located.
- smallstringThe url where a small image file is located.
- originalstringThe url of the original sized product image.
- sort_orderintegerThe sort order in which the x image from the array should appear when displayed.
- optionsarray of objectsAn array of options for the product record, such as size, color, etc.
Show child attributesHide child attributes3
- The name of the option, such as size, color, etc.
- The position in which the x option from the array should appear when displayed.
- An array of values for the x option in the options array.
- published_atdatetimeThe datetime at which the product became available for purchase. To make the product available, this should be set in the past.
- requires_shippingbooleanIndicator of shipping requirement. If
truethe product associated to the variant needs to be shipped.This is usuallyfalsefor digital goods. - titlestringThe title of the product.
- variantsarray of objectsAn array of variants of the product.If your PIM does not use variants, create a single variant product.
Show child attributesHide child attributes105 new
- A container of variant dimensions.
Show child attributesHide child attributes1
- weightfloatThe weight of the product in the weight unit configured for your store.
- external_variant_idstringThe variant id in your PIM. The primary key for the variant.
- imageobjectAn object containing image urls for the variant.
smallis the default picture shown on the checkout. Ifsmallis not present we renderoriginal. Please note for better rendering we advise you populatesmall - An array of option values, linking the variant to the options listed at the product level.
Show child attributesHide child attributes1
- The label of the option value. Maps to a value specified in the product options list
- An object containing prices for the variant.
Show child attributesHide child attributes35 new
- compare_at_pricestringThe compare-at price for the variant.
- The unit price for the variant.
- An object containing the prices of the variant in other currencies.
Show child attributesHide child attributes14 new
- An object containing the price of the variant in a presentment currency. When sent,
currency,unit_price_currencyanddiscounted_price_currencyare all required.Show child attributesHide child attributes33 new
- The three-letter currency code of the presentment price.
- The unit price of the variant in the presentment currency.
- The discounted price of the variant in the presentment currency.
- requires_shippingbooleanIndicator of shipping requirement. If
truethe product associated to the variant needs to be shipped.Default value is what is set at the Product level for requires_shipping. - skustringThe stock keeping unit of the variant.
- tax_codestringThe tax code of the variant. This value will be used when calculating tax with a third party tax service.
- A boolean indicator of the variant’s taxability.
- titlestringThe title of the variant.
- vendorstringThe vendor of the product.
curl -X PUT 'https://api.rechargeapps.com/products/1327844' \
-H 'X-Recharge-Version: v2' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"brand": "Recharge",
"variants": [
{
"external_variant_id": "101",
"dimensions": {
"weight": 1234.5
},
"image": {
"small": "https:...",
"medium": "https:...",
"large": "https:...",
"original": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"sku": "CLO123",
"title": "Small Recharge Logo Shirt",
"taxable": true,
"tax_code": "CLOTHING",
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
}
},
{
"external_variant_id": "102",
"dimensions": {
"weight": 1234.5
},
"image": {
"small": "https:...",
"medium": "https:...",
"large": "https:...",
"original": "https:..."
},
"option_values": [
{
"label": "medium"
}
],
"sku": "CLO124",
"title": "Medium Recharge Logo Shirt",
"taxable": true,
"tax_code": "CLOTHING",
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
}
}
]
}'{
"product": {
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"external_created_at": "2021-01-01T00:00:00+00:00",
"external_product_id": "10",
"external_updated_at": "2021-01-01T00:00:00+00:00",
"images": [
{
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01T00:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"dimensions": {
"weight": 1234.5,
"weight_unit": "lb"
},
"external_variant_id": "9",
"image": {
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
},
"sku": "CLO123",
"tax_code": "CLOTHING",
"taxable": true,
"title": "Recharge Logo Shirt - Small",
"requires_shipping": true
}
],
"vendor": "Recharge Apparel Store"
}
}#Delete a product
DELETE/products/{external_product_id}
Delete product from
Store.Scope
write_productsOnly available to stores on a custom (headless) platform; stores on other platforms receive a
422 error.curl -X DELETE 'https://api.rechargeapps.com/products/509780' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{}#List products
GET/products
List products from store’s product catalog.
Scope
read_productsOnly available to stores on a custom (headless) platform; stores on other platforms receive a
422 error. Results are paginated with cursor only; page is not supported on this endpoint.Query parameters
- external_product_idsstringFilter products by external product ids.
GET /products/?external_product_ids=123,223will return all products with the associatedexternal_product_ids. - The number of results to return. Defaults to 50; the maximum is 250.
- The cursor of the page to return, taken from
next_cursororprevious_cursorin a previous response. Onlylimitcan be sent together withcursor.
curl 'https://api.rechargeapps.com/products' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"next_cursor": null,
"previous_cursor": null,
"products": [
{
"brand": "Recharge",
"description": "A cotton shirt with the Recharge logo",
"external_created_at": null,
"external_product_id": "10",
"external_updated_at": "2021-07-21T17:25:46+00:00",
"images": [
{
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:...",
"sort_order": 2
}
],
"options": [
{
"name": "Size",
"position": 0,
"values": [
{
"label": "small",
"position": 0
},
{
"label": "medium",
"position": 1
},
{
"label": "large",
"position": 2
}
]
}
],
"published_at": "2021-01-01T00:00:00+00:00",
"requires_shipping": true,
"title": "Recharge Logo Shirt",
"variants": [
{
"dimensions": {
"weight": 1234.5,
"weight_unit": "lb"
},
"external_variant_id": "101",
"image": {
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:..."
},
"option_values": [
{
"label": "small"
}
],
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
},
"sku": "CLO123",
"tax_code": "CLOTHING",
"taxable": true,
"title": "Small Recharge Logo Shirt",
"requires_shipping": true
},
{
"dimensions": {
"weight": 1234.5,
"weight_unit": "lb"
},
"external_variant_id": "102",
"image": {
"large": "https:...",
"medium": "https:...",
"original": "https:...",
"small": "https:..."
},
"option_values": [
{
"label": "medium"
}
],
"prices": {
"compare_at_price": "14.22",
"unit_price": "12.22"
},
"sku": "CLO124",
"tax_code": "CLOTHING",
"taxable": true,
"title": "Medium Recharge Logo Shirt",
"requires_shipping": true
}
],
"vendor": "Recharge Apparel Store"
}
]
}